Check DNS propagation for a domain

Verify if DNS changes for your domain have propagated globally. This is useful after making DNS setting adjustments, such as re-pointing the domain to a new server or changing nameservers.

Domain Services DNS

Context

Used in the dashboard

/cdn /domains/bulk-redirects /domains/[id]

Query Parameters

domain string required · Example: example.com
nameserver string · Example: secondary.ns.hostup.se

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.actualNameservers array<string> required · Example: ["secondary.ns.hostup.se","primary.ns.hostup.se"]
data.allPropagated boolean required · Example: true
data.checkSource string · enum required · Example: registry_delegation
recursive_resolver
registry_delegation
data.checks object required
data.checks.recursiveResolver object required
data.checks.recursiveResolver.actualNameservers array<string> required · Example: ["primary.ns.hostup.se","secondary.ns.hostup.se"]
data.checks.registryDelegation object required
data.checks.registryDelegation.actualNameservers array<string> · Example: ["secondary.ns.hostup.se","primary.ns.hostup.se"]
data.checks.registryDelegation.attempts array<object> required · Example: [{"hostname":"example.com","ip":"192.0.0.1"}]
data.checks.registryDelegation.attempts[].error string · Example: dns_response_error_rcode_3

HTTP status title (e.g. 'Bad Request').

data.checks.registryDelegation.attempts[].hostname string required · Example: example.com
data.checks.registryDelegation.attempts[].ip string required · Example: 192.0.0.1
data.checks.registryDelegation.error string · Example: delegation_lookup_failed

HTTP status title (e.g. 'Bad Request').

data.checks.registryDelegation.success boolean required · Example: true

True for successful responses.

data.checks.registryDelegation.tld string · enum required · Example: se
com
dev
io
nu
org
se
data.checks.registryDelegation.usedServer object
data.checks.registryDelegation.usedServer.hostname string required · Example: example.com
data.checks.registryDelegation.usedServer.ip string required · Example: 192.0.0.1
data.domain string required · Example: example.com
data.matchingNameservers array<string> required · Example: ["primary.ns.hostup.se","secondary.ns.hostup.se"]
data.message string required · Example: All nameservers have propagated

Human-readable message.

data.propagated boolean required · Example: true
data.propagationStatus string · enum required · Example: fully_propagated
fully_propagated
not_propagated
data.providedNameservers array<string> required · Example: ["primary.ns.hostup.se","secondary.ns.hostup.se"]
data.resolves boolean required · Example: true
data.success boolean required · Example: true

True for successful responses.

data.timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/dns-propagation
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/dns-propagation?domain=example.com" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "domain": "example.com",
    "propagated": true,
    "allPropagated": true,
    "resolves": true,
    "actualNameservers": [
      "secondary.ns.hostup.se",
      "primary.ns.hostup.se"
    ],
    "providedNameservers": [
      "primary.ns.hostup.se",
      "secondary.ns.hostup.se"
    ],
    "matchingNameservers": [
      "primary.ns.hostup.se",
      "secondary.ns.hostup.se"
    ],
    "propagationStatus": "fully_propagated",
    "checkSource": "registry_delegation",
    "checks": {
      "registryDelegation": {
        "success": true,
        "tld": "se",
        "usedServer": {
          "hostname": "example.com",
          "ip": "192.0.0.1"
        },
        "attempts": [
          {
            "hostname": "example.com",
            "ip": "192.0.0.1"
          }
        ],
        "actualNameservers": [
          "secondary.ns.hostup.se",
          "primary.ns.hostup.se"
        ]
      },
      "recursiveResolver": {
        "actualNameservers": [
          "primary.ns.hostup.se",
          "secondary.ns.hostup.se"
        ]
      }
    },
    "message": "All nameservers have propagated",
    "timestamp": "2026-02-10T00:00:00.000Z"
  }
}